
#mInformacionProducto::before{
    display: block !important;
    }
    
#mInformacionProducto .fposProdCad_header{
  width: 100%;
}

    /* Contenido interior en flex */
    #mInformacionProducto .fposProdCad_header-content {
      margin-bottom: 10px;
      padding: 10px; 
      background-color: #FFF4E6;
      display: flex;
      align-items: center;
      gap: 30px;
    }
    
    /* Imagen del producto */
    #mInformacionProducto .fposProdCad_image img {
      width: 70px;
      height: 70px;
      object-fit: cover;   /* Ajusta la imagen sin deformarla */
      border-radius: 8px;  /* Esquinas redondeadas */
      background-color: #fff; /* Fondo blanco para resaltar */
      max-width: 70px;
    }
    
    /* InformaciÃ³n: TÃ­tulo, descripciÃ³n y precio */
    #mInformacionProducto .fposProdCad_info {
      flex: 1; /* Ocupa el espacio restante */
    }
    
    #mInformacionProducto .fposProdCad_info h1 {
      font-size: 18px;
      margin-bottom: 4px;
      color: #333;
    }
    
    #mInformacionProducto .fposProdCad_info p {
      font-size: 14px;
      color: #666;
      margin-bottom: 4px;
    }
    
    /* Precio destacado */
    #mInformacionProducto .fposProdCad_price {
      font-weight: bold;
      font-size: 16px;
      color: #E26B0A; /* Un naranja mÃ¡s fuerte */
    }
    
    #mInformacionProducto .nav-pills .nav-link.active {
      background-color: #FFF4E6 !important;
      color: #000 !important;
      border-radius: 5px;
    }
    
    #mInformacionProducto .nav-item {
      display: flex;
        justify-content: flex-start;
      box-shadow: 0px 4px 10px rgb(212, 212, 212); /* Ajusta los valores segÃºn la intensidad y direcciÃ³n deseada */
      border-radius: 5px; /* Opcional, para suavizar bordes */
      margin-left: 0;
    }
    
    #mInformacionProducto .nav {
      justify-content: center;
      gap: 10px;
    }
    
    #mInformacionProducto .nav-link {
      text-align: left;
      width: 150px;
      justify-content: flex-start;
      gap: 8px; /* Espacio entre el SVG y el texto */
      /*padding-left: 10px; /* Ajusta segÃºn el espacio deseado desde la izquierda */
    }
    
    #mInformacionProducto .nav-link svg {
      flex-shrink: 0; /* Para que el SVG no cambie de tamaÃ±o */
    }
    
    #mInformacionProducto .fposProdCad_carousel-item {
      display: flex;
      justify-content: center;
    }
    
    #mInformacionProducto .fposProdCad_carousel-wrapper {
      position: relative;
      overflow: hidden;
      
      /*padding: 0 21px; /* Ajusta el padding para que las flechas no tapen */
    }
    #mInformacionProducto .carousel-control-prev-icon,
    #mInformacionProducto .carousel-control-next-icon {
      background-image: none !important;
    }
    
    #mInformacionProducto .carousel-control-prev,
    #mInformacionProducto .carousel-control-next {
      
      transform: translateY(-0%);
      width: auto;
      height: auto;
      background: transparent;
      border: none;
      
      margin: 0;
      z-index: 1;
     
    }
    
    #mInformacionProducto .carousel-control-next-icon::before {
      content: '›';  /* SÃ­mbolo de flecha derecha */
      color: orange; /* Color naranja */
      font-size: 24px;
    }
    #mInformacionProducto .carousel-control-prev-icon::before {
      content: '‹';  /* SÃ­mbolo de flecha izquierda */
      color: orange; /* Color naranja */
      font-size: 24px; /* Ajusta el tamaÃ±o si lo deseas */
    }
    
     
    
    #mInformacionProducto .carousel-control-prev-icon,
    #mInformacionProducto .carousel-control-next-icon {
      background-image: none;
      color: #575757;
      font-size: 20px;
      line-height: 1;
    }
    
    #mInformacionProducto .carousel-control-prev-icon::before {
      content: '‹'; /* SÃ­mbolo de flecha izquierda */
      font-size: 24px;
    }
    
    #mInformacionProducto .carousel-control-next-icon::before {
      content: '›'; /* SÃ­mbolo de flecha derecha */
      font-size: 24px;
    }
    
    #mInformacionProducto .carousel-control-prev:hover,
    #mInformacionProducto .carousel-control-next:hover {
      background: transparent;
      box-shadow: none;
    }
    
    #mInformacionProducto .carousel-control-prev:focus,
    #mInformacionProducto .carousel-control-next:focus {
      outline: none;
    }
    
    #mInformacionProducto .carousel-item {
      transition: transform 0.0s ease-in-out !important;
    }
    
    
    /* Cambiar color del checkbox activo a naranja */
    #mInformacionProducto .form-check-input:checked {
      background-color: orange  !important;
      border-color: orange !important;
    }
    
    /* Cambiar el color del foco (outline) cuando estÃ¡ seleccionado */
    #mInformacionProducto .form-check-input:focus {
      box-shadow: 0 0 0 0.25rem rgba(255, 165, 0, 0.5); /* Color naranja con opacidad */
    }
    
    
    #mInformacionProducto button:focus, #mInformacionProducto button:active {
      outline: none !important;
      box-shadow: none !important;
    }
    
    
    #mInformacionProducto .input-group .btn {
      border: none !important;
      box-shadow: none !important;
      background: transparent !important;
      outline: none !important;
    }
    
    #mInformacionProducto .input-group .btn:hover,
    #mInformacionProducto .input-group .btn:focus,
    #mInformacionProducto .input-group .btn:active {
      box-shadow: none !important;
      outline: none !important;
      border: none !important;
      background: transparent !important;
    }
    
    #mInformacionProducto .input-group .form-control {
      background-color: white !important;
      border: 1px solid orange !important;
      box-shadow: none !important;
      outline: none !important;
      border-radius: 0 !important;
    }
    
    #mInformacionProducto .input-group .form-control:focus {
      box-shadow: none !important;
      outline: none !important;
      border: 1px solid orange !important;
    }
    
    #mInformacionProducto .input-group {
      border: none !important;
    }
    
    #mInformacionProducto .input-group button svg {
      display: block;
      margin: 0;
      padding: 0;
    }
    
    
    #mInformacionProducto .product-selection {
      border-radius: 8px;
      margin: auto;
    }
    
    #mInformacionProducto .product-selection h2 {
      margin-bottom: 10px;
    }
    
    #mInformacionProducto .option {
      margin-bottom: 10px;
      display: flex;
      
      justify-content: flex-start; /* Alinea a la izquierda */
      gap: 10px; /* Espacio entre elementos */
     
      margin: 0 auto; /* Centra horizontalmente el contenedor */
    }
    
    #mInformacionProducto .fposProdCad_P_text {
      display: flex;
      flex-direction: column; /* Organiza los textos en columna */
    }
    
    #mInformacionProducto .option:last-child {
      border-bottom: none;
    }
    
    #mInformacionProducto .option img {
      width: 40px;
      height: 40px;
      background-color: #e0e0e0;
      border-radius: 4px;
      margin-right: 10px;
    }
    
    #mInformacionProducto .option label {
      flex-grow: 1;
    }
    
    #mInformacionProducto .option input[type="checkbox"] {
      margin-right: 10px;
    }
    
    #mInformacionProducto .fposProdCad_price {
      color: #757575;
      font-size: 0.9em;
    }
    
    #mInformacionProducto .circel {
      margin-bottom: 10px;
      display: flex;
      align-items: center; /* Centra verticalmente */
      gap: 10px; /* Espacio entre elementos */
    }
    
    #mInformacionProducto .text_lote {
      margin: 0; /* Elimina mÃ¡rgenes por defecto */
    }
    
    #mInformacionProducto input.round-checkbox.form-check-input {
      width: 20px;
      height: 20px;
      border-radius: 50%; 
      appearance: none;
      -webkit-appearance: none;
      -moz-appearance: none;
      border: 2px solid #CCC;
      cursor: pointer;
      outline: none;
      display: inline-block;
      vertical-align: middle;
    }
    
    #mInformacionProducto input.round-checkbox.form-check-input:checked {
      background-color: #CCC;
      border-color: #CCC;
    }
    
    #mInformacionProducto .btn-close{
      background: none !important;
    }
    
    #mInformacionProducto .footerModalInfoProducto {
      gap: 20px;
      display: flex;
      justify-content: center; /* Centra horizontalmente */
      align-items: center; /* Alinea verticalmente */
      width: 100%; /* Asegura que ocupe todo el ancho disponible */
      padding: 10px; /* Espaciado opcional */
    }
    
    #mInformacionProducto .fposProdCad_btn_footer_Agregar {
      display: inline-flex;
      align-items: center;     /* Centra verticalmente el contenido */
      justify-content: center; /* Centra horizontalmente el contenido */
      padding: 8px 16px;
      cursor: pointer;
      border: 1px solid #FFA600;
      border-radius: .25rem;
    }
    
    #mInformacionProducto .fposProdCad_btn_footer_Regresar {
        display: inline-flex;
        align-items: center;     /* Centra verticalmente el contenido */
        justify-content: center; /* Centra horizontalmente el contenido */
        border-radius: .25rem;
      background-color: #FFFFFF;
      color: #FFA600;
      border: 1px solid #FFA600;
      padding: 8px 16px;
      cursor: pointer;
      }
    
      #mInformacionProducto .fposProdCad_btn_footer_Regresar:hover {
        background: orange;
        color: white;
      }
    
      #mInformacionProducto .fposProdCad_btn_footer_Agregar:hover {
        background: orange;
        color: white;
    
      }
      
      #mInformacionProducto .btn:hover {
      background: darkorange; /* Efecto al pasar el mouse */
        }
    
    #mInformacionProducto .fposProdCad_container {
      display: grid;
      grid-template-columns: 0.5fr 0fr;
      /*gap: 20px;*/
      background: white;
      border-radius: 10px;
      /*box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);*/
      width: 100%;
      /*max-width: 900px; */
      overflow: hidden;
        }
    
        #mInformacionProducto .fposProdCad_steps{
         position: relative;
         /* Agregar esta propiedad para que la lÃ­nea se posicione correctamente */
        display: flex;
         flex-direction: column;
         /* En lugar de grid, aseguramos que los pasos estÃ©n uno debajo del otro en mÃ³vil */
         align-items: center;
         gap: 10px;
        padding: 20px;
        padding-top: 0px;
        padding-bottom: 0px;
         background: white;
        box-sizing: border-box;
        /*width: 200px;*/
         max-width: 350px;
        }
    
        #mInformacionProducto .fposProdCad_modal-dialog {
            width: max-content !important;
            right: 0;
          }
    
          #mInformacionProducto .modal-header {
            height: 10px;
            /*background-color: orange;*/
            display: flex;
            align-items: center;
            justify-content: space-between;
            /* Asegura que el texto y el botÃ³n estÃ©n bien distribuidos */
            
            /* Mejora la apariencia */
          }
    
          #mInformacionProducto .modal-header p {
            font-size: 16px;
            color: white;
            /* Hace el texto blanco */
            font-weight: bold;
            margin: 0;
            /* Evita mÃ¡rgenes extra */
          }
    
          #mInformacionProducto .modal-header .btn-close {
            filter: invert(1);
            /* Hace la "X" blanca */
          }
    
    
          #mInformacionProducto .container-checkbox {
            font-weight: bold;
          }
    
          /* Estilo del fcRegistro_CA_botones empresa/persona*/
          #mInformacionProducto .fposProdCad_contect {
            display: flex;
            justify-content: space-between;
    
    
          }
    
          #mInformacionProducto .fposProdCad .btn button {
    
            border: 2px solid orange;
            color: orange;
            background-color: transparent;
            padding: 20px 20px;
            font-size: 16px;
            cursor: pointer;
            transition: all 0.3s ease;
            border-radius: .25rem;
    
          }
    
          #mInformacionProducto .fposProdCad_steps {
            width: 100%;
          }
    
          /* BotÃ³n de consulta */
          #mInformacionProducto button {
            font-size: 13px;
            height: 30px;
            border-radius: 5px;
            padding: 0 15px;
            cursor: pointer;
            white-space: nowrap;
          }
    
          #mInformacionProducto .fposProdCad_btn_footer_Agregar {
            background: #ff9c00;
            color: white;
          }
          
    
          #mInformacionProducto .fposProdCad_btn_footer_Agregar:hover {
            background: #e08900;
          }
    
          #mInformacionProducto .carousel-inner{
            overflow: hidden;
          }
       
          /* Responsive adjustments */
          @media (max-width: 992px) {
          #mInformacionProducto .fposProdCad_container {
          display: block !important;
          }
          }
    
    